core::dbus::Codec< com::lomiri::location::Provider::Requirements > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< com::lomiri::location::Provider::Requirements >:

## Static Public Member Functions

static void | encode_argument (Message::Writer &writer, const com::lomiri::location::Provider::Requirements &in)
static void | decode_argument (Message::Reader &reader, com::lomiri::location::Provider::Requirements &in)

## Detailed Description

Definition at line 406 of file codec.h.

## Member Function Documentation

## decode_argument()

void core::dbus::Codec< com::lomiri::location::Provider::Requirements >::decode_argument | ( | Message::Reader & | reader,
|  | com::lomiri::location::Provider::Requirements & | in )

inline static

Definition at line 413 of file codec.h.

## encode_argument()

void core::dbus::Codec< com::lomiri::location::Provider::Requirements >::encode_argument | ( | Message::Writer & | writer,
|  | const com::lomiri::location::Provider::Requirements & | in )

inline static

Definition at line 408 of file codec.h.

The documentation for this struct was generated from the following file:

- codec.h